public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/sci:master commit in: sci-chemistry/openbabel-ruby/
@ 2013-09-26 20:27 Reinis Danne
  0 siblings, 0 replies; 8+ messages in thread
From: Reinis Danne @ 2013-09-26 20:27 UTC (permalink / raw
  To: gentoo-commits

commit:     f48385ab3ce9f8d2a166c2c0b021772d790e8476
Author:     Reinis Danne <rei4dan <AT> gmail <DOT> com>
AuthorDate: Thu Sep 26 20:22:25 2013 +0000
Commit:     Reinis Danne <rei4dan <AT> gmail <DOT> com>
CommitDate: Thu Sep 26 20:25:20 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=f48385ab

Add sci-chemistry/openbabel-ruby live ebuild

---
 sci-chemistry/openbabel-ruby/ChangeLog             | 10 +++
 sci-chemistry/openbabel-ruby/metadata.xml          | 12 ++++
 .../openbabel-ruby/openbabel-ruby-9999.ebuild      | 78 ++++++++++++++++++++++
 3 files changed, 100 insertions(+)

diff --git a/sci-chemistry/openbabel-ruby/ChangeLog b/sci-chemistry/openbabel-ruby/ChangeLog
new file mode 100644
index 0000000..6ee5574
--- /dev/null
+++ b/sci-chemistry/openbabel-ruby/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for sci-chemistry/openbabel-ruby
+# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*openbabel-ruby-9999 (26 Sep 2013)
+
+  26 Sep 2013; Reinis Danne <rei4dan@gmail.com> +openbabel-ruby-9999.ebuild,
+  +metadata.xml:
+  Add live ebuild.
+

diff --git a/sci-chemistry/openbabel-ruby/metadata.xml b/sci-chemistry/openbabel-ruby/metadata.xml
new file mode 100644
index 0000000..e787ba0
--- /dev/null
+++ b/sci-chemistry/openbabel-ruby/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+  <herd>sci-chemistry</herd>
+  <longdescription>
+    Open Babel is a chemical toolbox designed to speak the many languages of
+    chemical data. It's an open, collaborative project allowing anyone to
+    search, convert, analyze, or store data from molecular modeling, chemistry,
+    solid-state materials, biochemistry, or related areas. This package enables
+    to access Open Babel library from Ruby programs.
+  </longdescription>
+</pkgmetadata>

diff --git a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
new file mode 100644
index 0000000..28aa2a4
--- /dev/null
+++ b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+USE_RUBY="ruby18 ruby19"
+
+inherit cmake-utils eutils ruby-ng git-2
+
+DESCRIPTION="Ruby bindings for OpenBabel"
+HOMEPAGE="http://openbabel.sourceforge.net/"
+EGIT_REPO_URI="https://github.com/openbabel/openbabel.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="${DEPEND}
+	~sci-chemistry/openbabel-${PV}
+	>=dev-lang/swig-1.3.29"
+RDEPEND="${RDEPEND}
+	~sci-chemistry/openbabel-${PV}"
+
+CMAKE_IN_SOURCE_BUILD=1
+
+src_unpack() {
+	all_ruby_unpack() {
+		git-2_src_unpack
+	}
+
+	ruby-ng_src_unpack
+}
+
+all_ruby_prepare() {
+	swig -ruby -c++ -small -O -templatereduce -naturalvar -autorename \
+		-I"${EPREFIX}/usr/include/openbabel-2.0" \
+		-o scripts/ruby/openbabel-ruby.cpp \
+		-outdir scripts/ruby \
+		scripts/openbabel-ruby.i \
+		|| die "Generation of openbabel-ruby.cpp failed"
+	sed 's/void Init_OpenBabel/void Init_openbabel/' -i scripts/ruby/openbabel-ruby.cpp
+}
+
+each_ruby_configure() {
+	CMAKE_USE_DIR="${WORKDIR}/${environment}/${P}"
+	local mycmakeargs="${mycmakeargs}
+		-DCMAKE_INSTALL_RPATH=
+		-DBINDINGS_ONLY=ON
+		-DBABEL_SYSTEM_LIBRARY=${EPREFIX}/usr/$(get_libdir)/libopenbabel.so
+		-DOB_MODULE_PATH=${EPREFIX}/usr/$(get_libdir)/openbabel/${PV}
+		-DLIB_INSTALL_DIR=${ED}/$(ruby_rbconfig_value sitearchdir)
+		-DRUBY_BINDINGS=ON
+		-DRUBY_EXECUTABLE=${RUBY}
+		-DRUBY_INCLUDE_DIR=$(ruby_get_hdrdir) -I$(ruby_get_hdrdir)/$(ruby_rbconfig_value sitearch)
+		-DRUBY_LIBRARY=$(ruby_get_libruby)"
+
+	cmake-utils_src_configure
+}
+
+each_ruby_compile() {
+	CMAKE_USE_DIR="${WORKDIR}/${environment}/${P}"
+	cmake-utils_src_make bindings_ruby
+}
+
+each_ruby_test() {
+	for i in scripts/ruby/examples/*
+	do
+		einfo "Running test: ${WORKDIR}/${environment}/${P}/${i}"
+		${RUBY} -I"${WORKDIR}/${environment}/${P}/$(get_libdir)" "${i}" || die
+	done
+}
+
+each_ruby_install() {
+	CMAKE_USE_DIR="${WORKDIR}/${environment}/${P}"
+	cmake -DCOMPONENT=bindings_ruby -P cmake_install.cmake
+}


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-chemistry/openbabel-ruby/
@ 2014-01-06 18:48 Justin Lecher
  0 siblings, 0 replies; 8+ messages in thread
From: Justin Lecher @ 2014-01-06 18:48 UTC (permalink / raw
  To: gentoo-commits

commit:     651a0023b1952789defa1c4ff6d0ef6b5e973998
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  6 18:38:27 2014 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Jan  6 18:38:27 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=651a0023

sci-chemistry/openbabel-ruby: Switch from git-2 to git-r3

Package-Manager: portage-2.2.8

---
 sci-chemistry/openbabel-ruby/ChangeLog                  | 5 ++++-
 sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild | 7 ++++---
 2 files changed, 8 insertions(+), 4 deletions(-)

diff --git a/sci-chemistry/openbabel-ruby/ChangeLog b/sci-chemistry/openbabel-ruby/ChangeLog
index 6ee5574..15112a1 100644
--- a/sci-chemistry/openbabel-ruby/ChangeLog
+++ b/sci-chemistry/openbabel-ruby/ChangeLog
@@ -1,7 +1,10 @@
 # ChangeLog for sci-chemistry/openbabel-ruby
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  06 Jan 2014; Justin Lecher <jlec@gentoo.org> openbabel-ruby-9999.ebuild:
+  Switch from git-2 to git-r3
+
 *openbabel-ruby-9999 (26 Sep 2013)
 
   26 Sep 2013; Reinis Danne <rei4dan@gmail.com> +openbabel-ruby-9999.ebuild,

diff --git a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
index 28aa2a4..ec9bc4e 100644
--- a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
+++ b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
@@ -6,10 +6,11 @@ EAPI=5
 
 USE_RUBY="ruby18 ruby19"
 
-inherit cmake-utils eutils ruby-ng git-2
+inherit cmake-utils eutils ruby-ng git-r3
 
 DESCRIPTION="Ruby bindings for OpenBabel"
 HOMEPAGE="http://openbabel.sourceforge.net/"
+SRC_URI=""
 EGIT_REPO_URI="https://github.com/openbabel/openbabel.git"
 
 LICENSE="GPL-2"
@@ -27,7 +28,7 @@ CMAKE_IN_SOURCE_BUILD=1
 
 src_unpack() {
 	all_ruby_unpack() {
-		git-2_src_unpack
+		git-r3_src_unpack
 	}
 
 	ruby-ng_src_unpack


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-chemistry/openbabel-ruby/
@ 2014-02-14 18:19 Reinis Danne
  0 siblings, 0 replies; 8+ messages in thread
From: Reinis Danne @ 2014-02-14 18:19 UTC (permalink / raw
  To: gentoo-commits

commit:     719ea86bd09a6edba5e1cd2b0ac48fe6a6b51e19
Author:     Reinis Danne <rei4dan <AT> gmail <DOT> com>
AuthorDate: Fri Feb 14 18:16:57 2014 +0000
Commit:     Reinis Danne <rei4dan <AT> gmail <DOT> com>
CommitDate: Fri Feb 14 18:16:57 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=719ea86b

sci-chemistry/openbabel-ruby: Update list of Ruby targets

---
 sci-chemistry/openbabel-ruby/ChangeLog                  | 3 +++
 sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/sci-chemistry/openbabel-ruby/ChangeLog b/sci-chemistry/openbabel-ruby/ChangeLog
index dba8f54..ab68512 100644
--- a/sci-chemistry/openbabel-ruby/ChangeLog
+++ b/sci-chemistry/openbabel-ruby/ChangeLog
@@ -3,6 +3,9 @@
 # $Header: $
 
   14 Feb 2014; Reinis Danne <rei4dan@gmail.com> openbabel-ruby-9999.ebuild:
+  Update list of available Ruby targets.
+
+  14 Feb 2014; Reinis Danne <rei4dan@gmail.com> openbabel-ruby-9999.ebuild:
   Fix move to git-r3.
 
   06 Jan 2014; Justin Lecher <jlec@gentoo.org> openbabel-ruby-9999.ebuild:

diff --git a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
index d475714..6b82efe 100644
--- a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
+++ b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=5
 
-USE_RUBY="ruby18 ruby19"
+USE_RUBY="ruby18 ruby19 ruby20 ruby21"
 
 inherit cmake-utils eutils ruby-ng git-r3
 


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-chemistry/openbabel-ruby/
@ 2014-02-14 18:19 Reinis Danne
  0 siblings, 0 replies; 8+ messages in thread
From: Reinis Danne @ 2014-02-14 18:19 UTC (permalink / raw
  To: gentoo-commits

commit:     72aa445682189ab5434888e04b456389e3e948aa
Author:     Reinis Danne <rei4dan <AT> gmail <DOT> com>
AuthorDate: Fri Feb 14 18:15:22 2014 +0000
Commit:     Reinis Danne <rei4dan <AT> gmail <DOT> com>
CommitDate: Fri Feb 14 18:15:22 2014 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=72aa4456

sci-chemistry/openbabel-ruby: Fix move to git-r3

---
 sci-chemistry/openbabel-ruby/ChangeLog                  |  3 +++
 sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild | 12 +++++++-----
 2 files changed, 10 insertions(+), 5 deletions(-)

diff --git a/sci-chemistry/openbabel-ruby/ChangeLog b/sci-chemistry/openbabel-ruby/ChangeLog
index 15112a1..dba8f54 100644
--- a/sci-chemistry/openbabel-ruby/ChangeLog
+++ b/sci-chemistry/openbabel-ruby/ChangeLog
@@ -2,6 +2,9 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  14 Feb 2014; Reinis Danne <rei4dan@gmail.com> openbabel-ruby-9999.ebuild:
+  Fix move to git-r3.
+
   06 Jan 2014; Justin Lecher <jlec@gentoo.org> openbabel-ruby-9999.ebuild:
   Switch from git-2 to git-r3
 

diff --git a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
index ec9bc4e..d475714 100644
--- a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
+++ b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
@@ -26,6 +26,8 @@ RDEPEND="${RDEPEND}
 
 CMAKE_IN_SOURCE_BUILD=1
 
+EGIT_CHECKOUT_DIR="${WORKDIR}/all"
+
 src_unpack() {
 	all_ruby_unpack() {
 		git-r3_src_unpack
@@ -45,7 +47,7 @@ all_ruby_prepare() {
 }
 
 each_ruby_configure() {
-	CMAKE_USE_DIR="${WORKDIR}/${environment}/${P}"
+	CMAKE_USE_DIR="${WORKDIR}/${environment}"
 	local mycmakeargs="${mycmakeargs}
 		-DCMAKE_INSTALL_RPATH=
 		-DBINDINGS_ONLY=ON
@@ -61,19 +63,19 @@ each_ruby_configure() {
 }
 
 each_ruby_compile() {
-	CMAKE_USE_DIR="${WORKDIR}/${environment}/${P}"
+	CMAKE_USE_DIR="${WORKDIR}/${environment}"
 	cmake-utils_src_make bindings_ruby
 }
 
 each_ruby_test() {
 	for i in scripts/ruby/examples/*
 	do
-		einfo "Running test: ${WORKDIR}/${environment}/${P}/${i}"
-		${RUBY} -I"${WORKDIR}/${environment}/${P}/$(get_libdir)" "${i}" || die
+		einfo "Running test: ${WORKDIR}/${environment}/${i}"
+		${RUBY} -I"${WORKDIR}/${environment}/$(get_libdir)" "${i}" || die
 	done
 }
 
 each_ruby_install() {
-	CMAKE_USE_DIR="${WORKDIR}/${environment}/${P}"
+	CMAKE_USE_DIR="${WORKDIR}/${environment}"
 	cmake -DCOMPONENT=bindings_ruby -P cmake_install.cmake
 }


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-chemistry/openbabel-ruby/
@ 2014-09-16 17:01 Christoph Junghans
  0 siblings, 0 replies; 8+ messages in thread
From: Christoph Junghans @ 2014-09-16 17:01 UTC (permalink / raw
  To: gentoo-commits

commit:     2fdaf79405cdad4096c9f20a186445694799beef
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 16 16:40:55 2014 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Tue Sep 16 16:40:55 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=2fdaf794

quote vars

Package-Manager: portage-2.2.8-r1

---
 sci-chemistry/openbabel-ruby/ChangeLog                  |  5 ++++-
 sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild | 15 ++++++++-------
 2 files changed, 12 insertions(+), 8 deletions(-)

diff --git a/sci-chemistry/openbabel-ruby/ChangeLog b/sci-chemistry/openbabel-ruby/ChangeLog
index ab68512..9b30885 100644
--- a/sci-chemistry/openbabel-ruby/ChangeLog
+++ b/sci-chemistry/openbabel-ruby/ChangeLog
@@ -2,6 +2,10 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  16 Sep 2014; Christoph Junghans <ottxor@gentoo.org>
+  openbabel-ruby-9999.ebuild:
+  quote vars
+
   14 Feb 2014; Reinis Danne <rei4dan@gmail.com> openbabel-ruby-9999.ebuild:
   Update list of available Ruby targets.
 
@@ -16,4 +20,3 @@
   26 Sep 2013; Reinis Danne <rei4dan@gmail.com> +openbabel-ruby-9999.ebuild,
   +metadata.xml:
   Add live ebuild.
-

diff --git a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
index 6b82efe..4437d24 100644
--- a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
+++ b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=5
 
-USE_RUBY="ruby18 ruby19 ruby20 ruby21"
+USE_RUBY="ruby19 ruby20 ruby21"
 
 inherit cmake-utils eutils ruby-ng git-r3
 
@@ -48,16 +48,17 @@ all_ruby_prepare() {
 
 each_ruby_configure() {
 	CMAKE_USE_DIR="${WORKDIR}/${environment}"
-	local mycmakeargs="${mycmakeargs}
+	local mycmakeargs=(
 		-DCMAKE_INSTALL_RPATH=
 		-DBINDINGS_ONLY=ON
-		-DBABEL_SYSTEM_LIBRARY=${EPREFIX}/usr/$(get_libdir)/libopenbabel.so
-		-DOB_MODULE_PATH=${EPREFIX}/usr/$(get_libdir)/openbabel/${PV}
-		-DLIB_INSTALL_DIR=${ED}/$(ruby_rbconfig_value sitearchdir)
+		-DBABEL_SYSTEM_LIBRARY="${EPREFIX}"/usr/$(get_libdir)/libopenbabel.so
+		-DOB_MODULE_PATH="${EPREFIX}"/usr/$(get_libdir)/openbabel/"${PV}"
+		-DLIB_INSTALL_DIR="${ED}"/$(ruby_rbconfig_value sitearchdir)
 		-DRUBY_BINDINGS=ON
-		-DRUBY_EXECUTABLE=${RUBY}
+		-DRUBY_EXECUTABLE="${RUBY}"
 		-DRUBY_INCLUDE_DIR=$(ruby_get_hdrdir) -I$(ruby_get_hdrdir)/$(ruby_rbconfig_value sitearch)
-		-DRUBY_LIBRARY=$(ruby_get_libruby)"
+		-DRUBY_LIBRARY=$(ruby_get_libruby)
+	)
 
 	cmake-utils_src_configure
 }


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-chemistry/openbabel-ruby/
@ 2015-12-25 21:50 Marius Brehler
  0 siblings, 0 replies; 8+ messages in thread
From: Marius Brehler @ 2015-12-25 21:50 UTC (permalink / raw
  To: gentoo-commits

commit:     83174c26c1ac7eed11befa94a99e533b2a2fd0f3
Author:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
AuthorDate: Fri Dec 25 21:49:42 2015 +0000
Commit:     Marius Brehler <marbre <AT> linux <DOT> sungazer <DOT> de>
CommitDate: Fri Dec 25 21:49:42 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=83174c26

sci-chemistry/openbabel-ruby: Remove ruby19, add missing die

Package-Manager: portage-2.2.24

 sci-chemistry/openbabel-ruby/ChangeLog                  | 6 +++++-
 sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild | 6 +++---
 2 files changed, 8 insertions(+), 4 deletions(-)

diff --git a/sci-chemistry/openbabel-ruby/ChangeLog b/sci-chemistry/openbabel-ruby/ChangeLog
index 1de7f63..e756dd8 100644
--- a/sci-chemistry/openbabel-ruby/ChangeLog
+++ b/sci-chemistry/openbabel-ruby/ChangeLog
@@ -1,7 +1,11 @@
 # ChangeLog for sci-chemistry/openbabel-ruby
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+  25 Dec 2015; Marius Brehler <marbre@linux.sungazer.de>
+  openbabel-ruby-9999.ebuild:
+  sci-chemistry/openbabel-ruby: Remove ruby19, add missing die
+
   16 Sep 2014; Christoph Junghans <ottxor@gentoo.org>
   openbabel-ruby-9999.ebuild:
   quote vars

diff --git a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
index ecaa066..54a7fde 100644
--- a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
+++ b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
 EAPI=5
 
-USE_RUBY="ruby19 ruby20 ruby21"
+USE_RUBY="ruby20 ruby21"
 
 inherit cmake-utils eutils ruby-ng git-r3
 
@@ -43,7 +43,7 @@ all_ruby_prepare() {
 		-outdir scripts/ruby \
 		scripts/openbabel-ruby.i \
 		|| die "Generation of openbabel-ruby.cpp failed"
-	sed 's/void Init_OpenBabel/void Init_openbabel/' -i scripts/ruby/openbabel-ruby.cpp
+	sed 's/void Init_OpenBabel/void Init_openbabel/' -i scripts/ruby/openbabel-ruby.cpp || die
 }
 
 each_ruby_configure() {


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-chemistry/openbabel-ruby/
@ 2016-01-06  7:53 Justin Lecher
  0 siblings, 0 replies; 8+ messages in thread
From: Justin Lecher @ 2016-01-06  7:53 UTC (permalink / raw
  To: gentoo-commits

commit:     e377a349d54f6e18dad9bb69e928261c9c93ed23
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  6 07:27:36 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Jan  6 07:27:36 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=e377a349

sci-chemistry/openbabel-ruby: Respect CXXFLAGS

Package-Manager: portage-2.2.26
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sci-chemistry/openbabel-ruby/metadata.xml               | 2 +-
 sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/sci-chemistry/openbabel-ruby/metadata.xml b/sci-chemistry/openbabel-ruby/metadata.xml
index 2e486b2..a7c2f07 100644
--- a/sci-chemistry/openbabel-ruby/metadata.xml
+++ b/sci-chemistry/openbabel-ruby/metadata.xml
@@ -1,4 +1,4 @@
-<?xml version='1.0' encoding='UTF-8'?>
+<?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
   <herd>sci-chemistry</herd>

diff --git a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
index 54a7fde..ee7327f 100644
--- a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
+++ b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -51,6 +51,7 @@ each_ruby_configure() {
 	local mycmakeargs=(
 		-DCMAKE_INSTALL_RPATH=
 		-DBINDINGS_ONLY=ON
+		-DOPTIMIZE_NATIVE=OFF
 		-DBABEL_SYSTEM_LIBRARY="${EPREFIX}"/usr/$(get_libdir)/libopenbabel.so
 		-DOB_MODULE_PATH="${EPREFIX}"/usr/$(get_libdir)/openbabel/"${PV}"
 		-DLIB_INSTALL_DIR="${ED}"/$(ruby_rbconfig_value sitearchdir)
@@ -69,8 +70,7 @@ each_ruby_compile() {
 }
 
 each_ruby_test() {
-	for i in scripts/ruby/examples/*
-	do
+	for i in scripts/ruby/examples/*; do
 		einfo "Running test: ${WORKDIR}/${environment}/${i}"
 		${RUBY} -I"${WORKDIR}/${environment}/$(get_libdir)" "${i}" || die
 	done


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] proj/sci:master commit in: sci-chemistry/openbabel-ruby/
@ 2020-02-03  4:02 Benda XU
  0 siblings, 0 replies; 8+ messages in thread
From: Benda XU @ 2020-02-03  4:02 UTC (permalink / raw
  To: gentoo-commits

commit:     da731f1940288b009bf57a13ad7bbb132ea2ed8e
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  3 03:50:42 2020 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Mon Feb  3 04:02:35 2020 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=da731f19

sci-chemistry/openbabel-ruby: remove from tree.

  The ebuild is under maintained and without any normal ebuild
  verions.  The ruby targets are not updated since ruby21.

Bug: https://bugs.gentoo.org/707558
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 sci-chemistry/openbabel-ruby/metadata.xml          | 18 -----
 .../openbabel-ruby/openbabel-ruby-9999.ebuild      | 81 ----------------------
 2 files changed, 99 deletions(-)

diff --git a/sci-chemistry/openbabel-ruby/metadata.xml b/sci-chemistry/openbabel-ruby/metadata.xml
deleted file mode 100644
index cc3c28852..000000000
--- a/sci-chemistry/openbabel-ruby/metadata.xml
+++ /dev/null
@@ -1,18 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-	<maintainer type="project">
-		<email>sci-chemistry@gentoo.org</email>
-		<name>Gentoo Chemistry Project</name>
-	</maintainer>
-	<longdescription>
-Open Babel is a chemical toolbox designed to speak the many languages of
-chemical data. It's an open, collaborative project allowing anyone to
-search, convert, analyze, or store data from molecular modeling, chemistry,
-solid-state materials, biochemistry, or related areas. This package enables
-to access Open Babel library from Ruby programs.
-</longdescription>
-	<upstream>
-		<remote-id type="sourceforge">openbabel</remote-id>
-	</upstream>
-</pkgmetadata>

diff --git a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild b/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
deleted file mode 100644
index fb014277b..000000000
--- a/sci-chemistry/openbabel-ruby/openbabel-ruby-9999.ebuild
+++ /dev/null
@@ -1,81 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-USE_RUBY="ruby20 ruby21"
-
-inherit cmake-utils eutils ruby-ng git-r3
-
-DESCRIPTION="Ruby bindings for OpenBabel"
-HOMEPAGE="http://openbabel.sourceforge.net/"
-SRC_URI=""
-EGIT_REPO_URI="https://github.com/openbabel/openbabel.git"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS=""
-IUSE=""
-
-DEPEND="${DEPEND}
-	~sci-chemistry/openbabel-${PV}
-	>=dev-lang/swig-1.3.29"
-RDEPEND="${RDEPEND}
-	~sci-chemistry/openbabel-${PV}"
-
-CMAKE_IN_SOURCE_BUILD=1
-
-EGIT_CHECKOUT_DIR="${WORKDIR}/all"
-
-src_unpack() {
-	all_ruby_unpack() {
-		git-r3_src_unpack
-	}
-
-	ruby-ng_src_unpack
-}
-
-all_ruby_prepare() {
-	swig -ruby -c++ -small -O -templatereduce -naturalvar -autorename \
-		-I"${EPREFIX}/usr/include/openbabel-2.0" \
-		-o scripts/ruby/openbabel-ruby.cpp \
-		-outdir scripts/ruby \
-		scripts/openbabel-ruby.i \
-		|| die "Generation of openbabel-ruby.cpp failed"
-	sed 's/void Init_OpenBabel/void Init_openbabel/' -i scripts/ruby/openbabel-ruby.cpp || die
-}
-
-each_ruby_configure() {
-	CMAKE_USE_DIR="${WORKDIR}/${environment}"
-	local mycmakeargs=(
-		-DCMAKE_INSTALL_RPATH=
-		-DBINDINGS_ONLY=ON
-		-DOPTIMIZE_NATIVE=OFF
-		-DBABEL_SYSTEM_LIBRARY="${EPREFIX}"/usr/$(get_libdir)/libopenbabel.so
-		-DOB_MODULE_PATH="${EPREFIX}"/usr/$(get_libdir)/openbabel/"${PV}"
-		-DLIB_INSTALL_DIR="${ED}"/$(ruby_rbconfig_value sitearchdir)
-		-DRUBY_BINDINGS=ON
-		-DRUBY_EXECUTABLE="${RUBY}"
-		-DRUBY_INCLUDE_DIR=$(ruby_get_hdrdir) -I$(ruby_get_hdrdir)/$(ruby_rbconfig_value sitearch)
-		-DRUBY_LIBRARY=$(ruby_get_libruby)
-	)
-
-	cmake-utils_src_configure
-}
-
-each_ruby_compile() {
-	CMAKE_USE_DIR="${WORKDIR}/${environment}"
-	cmake-utils_src_make bindings_ruby
-}
-
-each_ruby_test() {
-	for i in scripts/ruby/examples/*; do
-		einfo "Running test: ${WORKDIR}/${environment}/${i}"
-		${RUBY} -I"${WORKDIR}/${environment}/$(get_libdir)" "${i}" || die
-	done
-}
-
-each_ruby_install() {
-	CMAKE_USE_DIR="${WORKDIR}/${environment}"
-	cmake -DCOMPONENT=bindings_ruby -P cmake_install.cmake
-}


^ permalink raw reply related	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2020-02-03  4:02 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-02-03  4:02 [gentoo-commits] proj/sci:master commit in: sci-chemistry/openbabel-ruby/ Benda XU
  -- strict thread matches above, loose matches on Subject: below --
2016-01-06  7:53 Justin Lecher
2015-12-25 21:50 Marius Brehler
2014-09-16 17:01 Christoph Junghans
2014-02-14 18:19 Reinis Danne
2014-02-14 18:19 Reinis Danne
2014-01-06 18:48 Justin Lecher
2013-09-26 20:27 Reinis Danne

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox